package cn.org.bjca.trust.android.lib.im.db.device;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;

import cn.org.bjca.trust.android.lib.im.db.BaseEntity;

@Entity(tableName = "device")
public class DeviceEntity extends BaseEntity {
    @ColumnInfo(name = "device_id")
    private String deviceId;
    // 厂商 MANUFACTURER
    @ColumnInfo(name = "manufacturer")
    private String manufacturer;
    // 品牌 BRAND
    @ColumnInfo(name = "brand")
    private String brand;
    // 型号 MODEL
    @ColumnInfo(name = "model")
    private String model;
    // cpu CPU_ABI
    @ColumnInfo(name = "cpu_abi")
    private String cpuAbi;
    // 指纹  FINGERPRINT
    @ColumnInfo(name = "fingerprint")
    private String fingerprint;
    // SUPPORTED_32_BIT_ABIS
    @ColumnInfo(name = "supported_32_bit_abis")
    private String supported32BitAbis;
    // SUPPORTED_64_BIT_ABIS
    @ColumnInfo(name = "supported_64_bit_abis")
    private String supported64BitAbis;
    // SUPPORTED_ABIS
    @ColumnInfo(name = "supported_abis")
    private String supportedAbis;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getCpuAbi() {
        return cpuAbi;
    }

    public void setCpuAbi(String cpuAbi) {
        this.cpuAbi = cpuAbi;
    }

    public String getFingerprint() {
        return fingerprint;
    }

    public void setFingerprint(String fingerprint) {
        this.fingerprint = fingerprint;
    }

    public String getSupported32BitAbis() {
        return supported32BitAbis;
    }

    public void setSupported32BitAbis(String supported32BitAbis) {
        this.supported32BitAbis = supported32BitAbis;
    }

    public String getSupported64BitAbis() {
        return supported64BitAbis;
    }

    public void setSupported64BitAbis(String supported64BitAbis) {
        this.supported64BitAbis = supported64BitAbis;
    }

    public String getSupportedAbis() {
        return supportedAbis;
    }

    public void setSupportedAbis(String supportedAbis) {
        this.supportedAbis = supportedAbis;
    }

    @NonNull
    @Override
    public String toString() {
        return "DeviceEntity{" +
                "deviceId='" + deviceId + '\'' +
                ", manufacturer='" + manufacturer + '\'' +
                ", brand='" + brand + '\'' +
                ", model='" + model + '\'' +
                ", cpuAbi='" + cpuAbi + '\'' +
                ", fingerprint='" + fingerprint + '\'' +
                ", supported32BitAbis='" + supported32BitAbis + '\'' +
                ", supported64BitAbis='" + supported64BitAbis + '\'' +
                ", supportedAbis='" + supportedAbis + '\'' +
                '}';
    }
}
