package cn.org.bjca.trust.android.lib.im.im.msg;

import cn.org.bjca.trust.android.lib.im.bean.UserInfo;
import cn.org.bjca.trust.android.lib.im.enums.MsgType;
import cn.org.bjca.trust.android.lib.im.enums.PacketType;
import cn.org.bjca.trust.android.lib.im.im.bean.PacketMessage;
import cn.org.bjca.trust.android.lib.im.im.msg.message.SZYXTextMessage;

public class SZYXMessage extends PacketMessage {
    public SZYXMessage(MsgType msgType) {
        super(PacketType.SEND);
        this.msgType = msgType;
    }

    /**
     * 发送者信息
     */
    private UserInfo fromClient;
    /**
     * 接收者信息
     */
    private String toClientId;
    /**
     * 群id
     */
    private String groupID;
    /**
     * 自定义信息(备注信息，描述信息)
     */
    private String describe;
    /**
     * 是不是群消息
     */
    private boolean isGroup;
    /**
     * 是不是接收消息
     */
    private boolean isArrive;
    /**
     * 消息发送状态 -1=失败；0=成功；1=发送中
     */
    private int status;
    /**
     * 消息类型
     */
    private MsgType msgType;
    private SZYXTextMessage textMessage;

    public UserInfo getFromClient() {
        return fromClient;
    }

    public void setFromClient(UserInfo fromClient) {
        this.fromClient = fromClient;
    }

    public String getToClientId() {
        return toClientId;
    }

    public void setToClientId(String toClientId) {
        this.toClientId = toClientId;
    }

    public String getGroupID() {
        return groupID;
    }

    public void setGroupID(String groupID) {
        this.groupID = groupID;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public boolean isGroup() {
        return isGroup;
    }

    public void setGroup(boolean group) {
        isGroup = group;
    }

    public boolean isArrive() {
        return isArrive;
    }

    public void setArrive(boolean arrive) {
        isArrive = arrive;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public MsgType getMsgType() {
        return msgType;
    }

    public void setMsgType(MsgType msgType) {
        this.msgType = msgType;
    }

    public SZYXTextMessage getTextMessage() {
        return textMessage;
    }

    public void setTextMessage(SZYXTextMessage textMessage) {
        this.textMessage = textMessage;
    }

}
