package cn.org.bjca.trust.android.lib.im.im.kit;

import cn.org.bjca.trust.android.lib.im.enums.MsgType;
import cn.org.bjca.trust.android.lib.im.im.msg.SZYXMessage;
import cn.org.bjca.trust.android.lib.im.im.opt.ImConnectOptions;
import cn.org.bjca.trust.android.lib.im.kit.IMSDKCallback;
import cn.org.bjca.trust.android.lib.im.kit.IMSDKListener;
import cn.org.bjca.trust.android.lib.im.kit.MsgListener;

public interface IMInterface {
    void addMsgListener(MsgListener listener);

    void removeMsgListener(MsgListener listener);

    void setStatusListener(IMSDKListener listener);

    void removeStatusListener(IMSDKListener listener);

    void login(ImConnectOptions imConnectOptions);

    void logout();

    boolean isConnect();

    boolean isConnecting();

    void sendSZYXMessage(SZYXMessage message, IMSDKCallback callback);

    SZYXMessage createMsg(MsgType msgType, String toUserId, boolean isGroup, Object message, String describe);

}
