package cn.org.bjca.trust.android.lib.im.im.manager;

import cn.org.bjca.trust.android.lib.im.bean.UserInfo;

public class UserManager {

    public static UserManager getInstance() {
        return UserManagerHolder.instance;
    }

    private static final class UserManagerHolder {
        static final UserManager instance = new UserManager();
    }

    private UserManager() {

    }
    private UserInfo userInfo;
    private UserInfo userInfoForMsg;

    public UserInfo getUserInfo() {
        return userInfo;
    }
    public UserInfo getUserInfoForMsg() {
        return userInfoForMsg;
    }

    public void setUserInfo(UserInfo userInfo) {
        this.userInfo = userInfo;
        UserInfo u = new UserInfo();
        u.setUserId(userInfo.getUserId());
        u.setGender(userInfo.getGender());
        u.setNickName(userInfo.getNickName());
        u.setFaceUrl(userInfo.getFaceUrl());
        u.setOsType(userInfo.getOsType());
        this.userInfoForMsg = u;
    }
}
