package cn.org.bjca.trust.android.lib.im.kit;

import android.content.Context;

import cn.org.bjca.trust.android.lib.im.im.msg.SZYXMessage;

public interface SdkInterface {

    void setIMSDKListener(IMSDKListener listener);

    void removeIMSDKListener(IMSDKListener listener);

    void init(Context context, String sdkAppID, IMSDKCallback callback);

    void login(String userID, String userSig, IMSDKCallback callback);

    void logout( IMSDKCallback callback);

    void addMsgListener(MsgListener listener);

    void removeMsgListener(MsgListener listener);

    SZYXMessage sendMsgForTextToC(String toUserId, String text, IMSDKCallback callback);

    SZYXMessage sendMsgForTextToG(String toGroupId, String text, IMSDKCallback callback);

    String getVersion();
}
