package cn.org.bjca.trust.android.imdemo.data.model;

/**
 * Data class that captures user information for logged in users retrieved from LoginRepository
 */
public class LoggedInUser {

    private final String userId;
    private final String displayName;
    private final String userSig;

    public LoggedInUser(String userId, String displayName, String userSig) {
        this.userId = userId;
        this.displayName = displayName;
        this.userSig = userSig;
    }

    public String getUserId() {
        return userId;
    }

    public String getDisplayName() {
        return displayName;
    }

    public String getUserSig() {
        return userSig;
    }
}